.layout {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 40px auto;
    width: 90%;
    max-width: 600px;      /* max šířka containeru */
    text-align: center;
}

h2 {
    font-size: 26px;
}

.register_text {
    margin-bottom: 20px;
}

label {
    font-size: 20px;
}

input {
    width: 400px;           /* pevná šířka pro desktop */
    padding: 12px 10px;     
    font-size: 18px;
    margin-top: 10px;
    box-sizing: border-box;
}

button {
    display: block;
    padding: 12px 24px;          /* šířka podle textu */
    font-size: 16px;
    border-radius: 20px;
    margin: 16px auto 0 auto;    /* vycentrování na PC */
    background-color: #333;
    color: white;
    border: none;
}

button:hover {
    background-color: #f0a500;
    transition: 0.2s;
    cursor: pointer;
}

.message {
    margin-top: 20px;
    font-size: 20px;
}

/* Mobilní verze */
@media (max-width: 768px) {
    .layout {
        width: 95%;
        max-width: 100%;
        margin: 20px auto;
    }

    input {
        width: 100%;          /* roztáhne na šířku containeru */
        font-size: 16px;
        padding: 10px;
    }

    button {
        width: 100%;          /* roztáhne na mobil */
        font-size: 16px;
        padding: 12px 0;      /* výška tlačítka */
        margin: 16px 0 0 0;   /* margin-top pro prostor od formuláře */
    }
}
